@import url("https://fonts.googleapis.com/css2?family=Kosugi+Maru&family=Noto+Sans+JP:wght@100..900&family=Prosto+One&display=swap");

:root {
  --main-color: #DBEAFE;
  --main-bright-color: rgba(84, 174, 52, 1);
  --main-light-color: rgb(170, 215, 153);
  --main-dark-color-1: rgba(0, 125, 0, 1);
  --main-dark-color-2: rgba(35, 72, 21, 1);

  --main-light-grey-color: #e9e9e9;
  --main-grey-color: #c0c0c0;

  --font-01: "Noto Sans JP", sans-serif;
  --font-02: "Kosugi Maru", sans-serif;
  --font-03: "Prosto One", sans-serif;

  --section-my: 60px;
  --section-px: 8vw;
  --section-py: var(--section-my);

  --text-h1: 32px;
  --text-h2: 28px;
  --text-h3: 24px;
  --text-h4: 22px;
  --text-h5: 20px;
  --text-h6: 18px;

  --header-height: 100px;

  --top-mv-mt: calc(var(--header-height));
  --top-mv-height: calc(60vh - var(--header-height));

  --lower-mv-height: 600px;

  --box-shadow-light: 0 0 6px 1px rgba(129, 129, 129, 0.432);
  --box-shadow-dark: 0 0 6px 1px rgba(0, 0, 0, 0.25);

  --text-shadow-light: 0 0 8px #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  cursor: none;
  font-family: var(--font-01);
  background: #fff;
}

body {
  line-height: 1.5;
}

a {
  text-decoration: none;
}

a,
button {
  color: inherit;
  transition: 0.6s;
  cursor: pointer;
}

button {
  border-style: unset;
  background: unset;
  font-size: 16px;
}

a:hover,
button:hover {
  opacity: 0.8;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.d-block {
  display: block;
}

.color-white {
  color: #fff !important;
}

.color-main {
  color: var(--main-color) !important;
}

.color-main-light {
  color: var(--main-light-color) !important;
}

.color-main-lighter {
  color: var(--main-lighter-color) !important;
}

.color-main-lightest {
  color: var(--main-lightest-color) !important;
}

.color-main-dark-1 {
  color: var(--main-dark-color-1) !important;
}

.color-main-dark-2 {
  color: var(--main-dark-color-2) !important;
}

.color-grey {
  color: var(--main-grey-color) !important;
}

.color-light-grey {
  color: var(--main-light-grey-color) !important;
}

.text-h1 {
  font-size: var(--text-h1);
}

.text-h2 {
  font-size: var(--text-h2);
}

.text-h3 {
  font-size: var(--text-h3);
}

.text-h4 {
  font-size: var(--text-h4);
}

.text-h5 {
  font-size: var(--text-h5);
}

.text-h6 {
  font-size: var(--text-h6);
}

.text-default {
  font-size: 1rem;
}

.text-small {
  font-size: 14px;
}

.text-center {
  text-align: center !important;
}

.text-left {
  text-align: left !important;
}

.text-right {
  text-align: right !important;
}

.text-bold {
  font-weight: bold !important;
}

/* PADDING */

.px {
  padding-left: var(--section-px);
  padding-right: var(--section-px);
}

.pa-0 {
  padding: 0 !important;
}

.pa-10px {
  padding: 10px;
}

.pa-20px {
  padding: 20px;
}

.px-10px {
  padding-left: 10px;
  padding-right: 10px;
}

.px-20px {
  padding-left: 20px;
  padding-right: 20px;
}

.px-30px {
  padding-left: 30px;
  padding-right: 30px;
}

.pl {
  padding-left: var(--section-px);
}

.pr {
  padding-right: var(--section-px);
}

.pt {
  padding-top: var(--section-py);
}

.pb {
  padding-bottom: var(--section-py);
}

.pt-30px {
  padding-top: 30px;
}

.pb-30px {
  padding-bottom: 30px;
}

.pb-60px {
  padding-bottom: 60px;
}

.py {
  padding-top: var(--section-py);
  padding-bottom: var(--section-py);
}

.py-4px {
  padding-top: 4px;
  padding-bottom: 4px;
}

.py-8px {
  padding-top: 8px;
  padding-bottom: 8px;
}

.py-10px {
  padding-top: 10px;
  padding-bottom: 10px;
}

/* % */

.px-3pct {
  padding-left: 3%;
  padding-right: 3%;
}

.pl-3pct {
  padding-left: 3%;
}

.pl-20px {
  padding-left: 20px;
}

.pl-30px {
  padding-left: 30px;
}

.pr-3pct {
  padding-right: 3%;
}

/* vw */

.pl-3vw {
  padding-left: 3vw;
}

.pr-3vw {
  padding-right: 3vw;
}

/* MARGIN */

.ma-0 {
  margin: 0;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.ml-auto {
  margin-left: auto;
}

.ml-8px {
  margin-left: 8px;
}

.ml-15px {
  margin-left: 15px;
}

.ml-20px {
  margin-left: 20px;
}

.ml-30px {
  margin-left: 30px;
}

.mr-auto {
  margin-right: auto;
}

.mt {
  margin-top: var(--section-my);
  margin-bottom: var(--section-my);
}

.mt-0 {
  margin-top: 0;
}

.mt-30px {
  margin-top: 30px;
}

.my {
  margin-top: var(--section-my);
  margin-bottom: var(--section-my);
}

.my-80px {
  margin-top: 80px;
  margin-bottom: 80px;
}

.mb {
  margin-bottom: var(--section-my);
}

.mb-0 {
  margin-bottom: 0 !important;
}

.mb-10px {
  margin-bottom: 10px;
}

.mb-20px {
  margin-bottom: 20px;
}

.mb-30px {
  margin-bottom: 30px;
}

.mb-60px {
  margin-bottom: 60px;
}

.mb-100px {
  margin-bottom: 100px;
}

/* WIDTH */

.w-fit {
  width: fit-content;
}

.w-full {
  width: 100%;
}

.min-w-70px {
  min-width: 70px;
}

.max-w-500px {
  max-width: 500px;
}

.max-w-600px {
  max-width: 600px;
}

.max-w-800px {
  max-width: 800px;
}

.max-w-1000px {
  max-width: 1000px;
}

.max-w-1200px {
  max-width: 1200px;
}

.max-w-1500px {
  max-width: 1500px;
}

.bg-white {
  background: #fff;
}

.bg-main {
  background-color: var(--main-color);
}

.bg-main-light {
  background-color: var(--main-light-color);
}

.bg-main-dark-1 {
  background-color: var(--main-color);
}

.bg-main-dark-2 {
  background-color: var(--main-dark-color-2);
}

.bg-light-grey {
  background-color: var(--main-light-grey-color);
}

.bg-grey {
  background-color: var(--main-grey-color);
}

.bg-accent-1 {
  background: rgba(255, 107, 53, 1);
}

.bg-accent-2 {
  background: rgba(98, 160, 108, 1);
}

.bg-accent-3 {
  background: rgba(87, 203, 86, 1);
}

.btn {
  min-width: 200px;
  padding: 10px 15px;
  display: block;
  color: #000;
  text-transform: uppercase;
  font-weight: 600;
  text-align: center;
  width: fit-content;
}

.btn.w-fit {
  min-width: unset;
  width: fit-content;
}

.btn.w-full {
  width: 100%;
}

.btn.bg-white {
  background: #fff;
  color: var(--main-color);
}

.btn.bg-main {
  background: var(--main-color);
  color: #fff;
}

.btn.bg-dark {
  background: var(--main-dark-color);
  color: #fff;
}

.box-shadow-light {
  box-shadow: var(--box-shadow-light);
}

.box-shadow-dark {
  box-shadow: var(--box-shadow-dark);
}

.border-a-solid {
  border: 1px solid #000;
}

.border-t-solid {
  border-top: 1px solid #000;
}

.border-b-solid {
  border-bottom: 1px solid #000;
}

.border-b-dashed {
  border-bottom: 1px solid #000;
  border-style: dashed;
}

.border-main {
  border-color: var(--main-color);
}

.border-grey {
  border-color: var(--main-grey-color);
}

.border-light-grey {
  border-color: var(--main-light-grey-color);
}

.btn.rounded {
  border-radius: 8px;
  overflow: hidden;
}

.btn.rounded-full {
  border-radius: 100vw;
  overflow: hidden;
}

.rounded {
  border-radius: 8px;
  overflow: hidden;
}

.rounded-full {
  border-radius: 100vw;
  overflow: hidden;
}

/* ======================= */
/* CURSOR STALKER */
/* ======================= */

#custom-cursor {
  position: fixed;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 1px solid var(--border, rgba(44, 44, 44, 0.6));
  background: var(--main-color);
  pointer-events: none;
  user-select: none;
  transform: translate(-50%, -50%) scale(1);
  transition:
    transform 0.5s ease,
    background-color 0.5s ease,
    width 0.3s ease,
    height 0.3s ease;
  z-index: 10000;
}

#custom-cursor.link-hover {
  background: transparent;
  width: 50px;
  height: 50px;
  border: 1px solid var(--border, rgba(44, 44, 44, 0.6));
  transform: translate(-50%, -50%) scale(1);
  background: #dbeafea6;
}

#custom-cursor.is-hide {
  opacity: 0;
}
/* ======================= */
/* CURSOR STALKER END */
/* ======================= */

/* ======================= */
/* COMMON */
/* ======================= */

a,
button {
  text-decoration: none;
  border-style: none;
  background: unset;
  transition: 0.6s;
  color: inherit;
  cursor: none;
}

a:hover,
button:hover {
  opacity: 0.7;
}

.menu-btn {
  display: none;
}

header .brand:hover header .menu-btn {
  display: none;
}

header .brand:hover header .menu-btn:hover {
  opacity: 1;
}

.hv-line-bottom {
  padding-bottom: 2px;
  position: relative;
  width: fit-content;
  padding-left: 4px;
  padding-right: 4px;
}

.hv-line-bottom::after {
  content: "";
  display: block;
  width: 0;
  height: 2px;
  background-color: #fff;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: 0.6s;
}

.hv-line-bottom:hover::after {
  width: 100%;
}

.px-3pct {
  padding-left: 3%;
  padding-right: 3%;
}

.py-40px {
  padding-top: 40px;
  padding-bottom: 40px;
}

.my-40px {
  margin-top: 40px;
  margin-bottom: 40px;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.section_ttl {
  font-weight: bold;
}

.text-black {
  color: #000;
}

.text-white {
  color: #fff;
}

/* ======================= */
/* COMMON END */
/* ======================= */

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 350px;
  padding-top: 30px;
  z-index: 9999;
  transition: transform 0.4s ease;
  padding-left: 3vw;
}

header.is-hidden {
  transform: translateY(-100%);
}

header .nav_list {
  display: flex;
  flex-direction: column;
}

header .nav_item.flex {
  display: flex;
}

header .nav_item.flex .nav_link {
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

header .nav_item .nav_link {
  display: block;
  background: rgba(52, 124, 65, 0.75);
  padding: 15px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 70px;
  letter-spacing: 1px;
  color: #fff;
}

header .nav_item .nav_link.logo-cont {
  background: #fff;
}

header .nav_item:not(:last-child) .nav_link {
  border-bottom: 1px solid #b3b3b3;
}

header .nav_item:not(:last-child) .nav_link img {
  object-fit: contain;
}

header .nav_item .nav_link.bg-main-op {
  background: rgba(52, 124, 65, 0.75);
  color: #fff;
}

header .nav_item .nav_link.bg-main {
  background: rgba(85, 223, 58, 1);
  color: #fff;
}

header .nav_item .nav_link.bg-accent {
  background: rgba(0, 169, 175, 1);
  color: #fff;
}

header .social_cards {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  gap: 10px;
  background: rgba(2, 2, 2, 0.747);
  padding: 10px;
}

header .social_card {
  width: 50px;
  height: 50px;
}

header .social_card img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

#backdrop {
  position: fixed;
  top: 0;
  right: -200%;
  width: 100vw;
  height: 100vh;
  background: #00000077;
  z-index: 5;
  transition: 0.6s;
}

#backdrop.active {
  right: 0;
}

/* base dots */
div#menu-icon {
  width: 35px;
  height: 35px;
  position: relative;
  margin-bottom: 10px;
  transform: rotate(0deg);
  transition: 0.5s ease-in-out;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
}

div#menu-icon span {
  display: block;
  position: absolute;
  height: 6px;
  width: 6px;
  background: #fff;
  opacity: 1;
  transform: rotate(0deg);
  transition: 0.25s ease-in-out;
}

/* left + right dots */
#menu-icon span:nth-child(even) {
  left: 54%;
  transform: translateX(-50%);
  border-radius: 50%;
}

#menu-icon span:nth-child(odd) {
  left: 0px;

  border-radius: 50%;
}

/* row positions (scaled down) */
#menu-icon span:nth-child(1),
#menu-icon span:nth-child(2),
#menu-icon span:nth-child(3) {
  top: 0px;
}

#menu-icon span:nth-child(4),
#menu-icon span:nth-child(5),
#menu-icon span:nth-child(6) {
  top: 12px; /* 20 → 10 */
}

#menu-icon span:nth-child(7),
#menu-icon span:nth-child(8),
#menu-icon span:nth-child(9) {
  top: 24px; /* 40 → 20 */
}

/* right-most dots */
#menu-icon span:nth-child(3),
#menu-icon span:nth-child(6),
#menu-icon span:nth-child(9) {
  left: 100%;
  transform: translateX(-50%);
}

/* ========== ACTIVE STATE (scaled) ========== */

header nav .menu-btn.active #menu-icon span:nth-child(1) {
  width: 25px;
  transform: rotate(45deg);
  left: -1px; /* scaled from -9px */
  border-radius: 50px;
  top: 3px; /* scaled from 5px */
}

header nav .menu-btn.active #menu-icon span:nth-child(3) {
  width: 25px;
  transform: rotate(-45deg);
  left: 40%;
  border-radius: 50px;
  top: 3px; /* scaled from 5px */
}

header nav .menu-btn.active #menu-icon span:nth-child(7) {
  width: 25px;
  transform: rotate(-45deg);
  left: -1px; /* scaled from -9px */
  border-radius: 50px;
  top: 17px; /* scaled from 35px */
}

header nav .menu-btn.active #menu-icon span:nth-child(9) {
  width: 25px;
  transform: rotate(45deg);
  left: 35%;
  border-radius: 50px;
  top: 17px; /* scaled from 35px */
}

header nav .menu-btn.active #menu-icon span:nth-child(2),
header nav .menu-btn.active #menu-icon span:nth-child(4),
header nav .menu-btn.active #menu-icon span:nth-child(5),
header nav .menu-btn.active #menu-icon span:nth-child(6),
header nav .menu-btn.active #menu-icon span:nth-child(8) {
  top: 10px;
}

header nav .menu-btn.active #menu-icon span:nth-child(5) {
  left: 50%;
}

header nav .menu-btn.active #menu-icon span:nth-child(6) {
  left: 50%;
}
/*ICON2*/

header nav .menu-btn .imgbox,
header nav .menu-btn .txtbox {
  position: relative;
  width: 30px;
}

header nav .menu-btn .imgbox {
  height: 30px;
}

header nav .menu-btn .txtbox {
  width: 100%;
}

header nav .menu-btn img,
header nav .menu-btn .menu-txt,
header nav .menu-btn .close-txt {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  text-align: center;
  display: block;
  transition: opacity 0.6s;
}

header nav .menu-btn img {
  width: 30px;
  height: 30px;
  object-fit: contain;
}

header nav .menu-btn span {
  color: #fff;
}

header nav .menu-btn .menu-txt,
header nav .menu-btn .close-txt {
  font-size: 14px;
  transform: translateY(-7px);
}

header nav .menu-btn .menu-img,
header nav .menu-btn .menu-txt {
  opacity: 1;
}

header nav .menu-btn .close-img,
header nav .menu-btn .close-txt {
  opacity: 0;
}

header nav .menu-btn.active ~ .nav_list {
  right: 0;
}

header nav .menu-btn.active .menu-img,
header nav .menu-btn.active .menu-txt {
  opacity: 0;
}

header nav .menu-btn.active .close-img,
header nav .menu-btn.active .close-txt {
  opacity: 1;
}

/* =================== */
/* menu navigation list*/
/* =================== */

/* =================== */
/* CONTACT BANNER */
/* =================== */

.contact-bnr .cards {
  display: flex;
  height: 400px;
}

.contact-bnr .cards .card {
  height: 100%;
}

.contact-bnr .cards .card:nth-of-type(1) {
  width: 45%;
}
.contact-bnr .cards .card:nth-of-type(2) {
  width: 55%;
  padding: 20px 3vw;
  min-height: 400px;
}
.contact-bnr .cards .card:nth-of-type(1) img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.contact-bnr .cards .card:nth-of-type(2) {
  background: #00000034 url(../img/contact-bnr/img_02.png) no-repeat;
  background-position: right;
  background-size: cover;
  background-blend-mode: overlay;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  color: #fff;
  font-weight: 600;
}

.contact-bnr .tel {
  font-size: 30px;
  display: flex;
  align-items: center;
  gap: 4px;
}

.contact-bnr .mail {
  font-size: 24px;
  display: flex;
  align-items: center;
  gap: 4px;
}

.contact-bnr .tel::before {
  content: "";
  display: block;
  width: 35px;
  height: 35px;
  background: url(../img/icon/tel-green.png) no-repeat;
  background-position: center;
  background-size: contain;
  margin-right: 4px;
}

.contact-bnr .mail::before {
  content: "";
  display: block;
  width: 30px;
  height: 30px;
  background: url(../img/icon/mail.png) no-repeat;
  background-position: center;
  background-size: contain;
  margin-right: 4px;
}

/* ==================== */
/* Lower MV */
/* ==================== */

.lower_mv {
  background: var(--main-light-color);
  padding-top: calc(var(--header-height) + 30px);
  position: relative;
}

.lower_mv .inner {
  height: 100%;
}

.lower_mv .txtbox {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
  height: 100%;
}

.lower_mv .txtbox .mv_ttl {
  font-size: 40px;
  color: #fff;
  font-family: var(--font-family-1);
  font-weight: 600;
  line-height: 1;
  position: relative;
}

/* .lower_mv .txtbox .mv_ttl::after {
  content: "";
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 75px;
  height: 5px;
  background-color: #c7e8a7;
}

.privacy .lower_mv .txtbox .mv_ttl::after {
  content: unset;
} */

.lower_mv .txtbox .mv_subttl {
  font-size: 18px;
}

.lower_mv .breadcrumbs {
  display: flex;
  gap: 20px;
  font-weight: 500;
  position: absolute;
  left: var(--section-px);
  bottom: 0;
  transform: translateY(150%);
}

.lower_mv .breadcrumbs .breadcrumb {
  display: flex;
  align-items: center;
  justify-content: center;
}

.lower_mv .breadcrumbs .breadcrumb_link {
  width: 100%;
  height: 100%;
  display: block;
}

/* SUBPAGE HEADER */

header.sub {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
  padding-left: unset;
  padding-top: unset;
  padding-right: unset;
  width: 100%;
  height: 100px;
  background: transparent;
}

header.sub nav {
  display: flex;
}

header.sub nav .logo,
header.sub nav .logo a,
header.sub nav .logo a img {
  width: 100px;
  height: 100px;
  display: block;
  object-fit: contain;
}

header.sub nav .logo {
  background: #fff;
}

header.sub nav,
header.sub .menu-btn {
  height: 100px;
  width: 200px;
}

header.sub .social_card {
  width: 35px;
  height: 35px;
}

header.sub .menu-btn {
  display: block;
  background: rgba(64, 65, 65, 1);
  aspect-ratio: 1/1;
}

header.sub nav .nav_list {
  position: absolute;
  top: 100px;
  right: -100vw;
  transition: 0.6s;
  width: 50vw;
  bottom: unset;
  z-index: 50;
}

header.sub .social_cards {
  background: unset;
}

@media (max-width: 1200px) {
  .contact-bnr .tel {
    font-size: 30px;
  }

  .contact-bnr .mail {
    font-size: 22px;
  }

  .contact-bnr .cards {
    flex-direction: column;
    height: unset;
  }

  .contact-bnr .cards .card:nth-of-type(1),
  .contact-bnr .cards .card:nth-of-type(2) {
    width: 100%;
  }

  .contact-bnr .cards .card:nth-of-type(1) {
    height: 300px;
  }
}

@media (max-width: 768px) {
  :root {
    --text-h1: 30px;
    --text-h2: 26px;
  }

  header {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    padding-left: unset;
    padding-top: unset;
    width: 100vw;
    height: 100px;
    padding-left: 3vw;
    background: var(--main-dark-color-2);
  }

  header .social_card {
    width: 35px;
    height: 35px;
  }

  header .menu-btn {
    display: block;
    height: 100px;
    aspect-ratio: 1 / 1;
  }

  header.sub nav .nav_list {
    width: 100vw;
  }

  header nav .nav_list {
    position: absolute;
    top: 100px;
    right: -100vw;
    transition: 0.6s;
    width: 50vw;
    bottom: unset;
    z-index: 50;
  }

  header .social_cards {
    background: unset;
  }

  #custom-cursor {
    display: none;
  }

  html,
  body {
    cursor: auto;
  }

  .lower_mv {
    padding-top: calc(var(--header-height) + 60px);
  }

  .lower_mv .txtbox .mv_ttl {
    font-size: 30px;
  }
}

@media (max-width: 576px) {
  :root {
    --text-h1: 28px;
    --text-h2: 25px;
    --section-px: 5vw;
  }
  header nav .nav_list {
    width: 100%;
  }
}

@media (max-width: 420px) {
  .lower_mv .txtbox .mv_ttl {
    font-size: 26px;
  }

  .lower_mv .txtbox .mv_subttl {
    font-size: 16px;
  }

  .contact-bnr .tel,
  .contact-bnr .mail {
    width: 100%;
    text-align: left;
  }

  .contact-bnr .tel::before,
  .contact-bnr .mail::before {
    min-width: 30px;
    height: 30px;
  }
}
